<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>LibraryMgr: models/Article/Item/Item.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibraryMgr
   &#160;<span id="projectnumber">0.4</span>
   </div>
   <div id="projectbrief">Library manager desktop app</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_item_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Item.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#ifndef LIBRARYMGR_ITEM_H</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#define LIBRARYMGR_ITEM_H</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#include &lt;ostream&gt;</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;</div><div class="line"><a name="l00027"></a><span class="lineno"><a class="line" href="class_item.html">   27</a></span>&#160;<span class="keyword">class </span><a class="code" href="class_item.html">Item</a> {</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;    <a class="code" href="class_item.html#a144db4dbae11aa8f2e231cde8646b028">Item</a>(<span class="keyword">const</span> std::string IDCode = 0, std::string name = <span class="stringliteral">&quot;&quot;</span>, std::string description = <span class="stringliteral">&quot;&quot;</span>);</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;    <a class="code" href="class_item.html#a144db4dbae11aa8f2e231cde8646b028">Item</a>(<span class="keyword">const</span> <a class="code" href="class_item.html">Item</a> &amp;i);</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;    <span class="comment">// setters</span></div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_item.html#a2bad6384eb6479ea0e1a131054fa1cc7">setID</a>(std::string IDCode);</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_item.html#ad1df8af319de8f613b85d99118a1e203">setName</a>(std::string name);</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_item.html#ab5b987640aafeee80a284861ebedb959">setDescription</a>(std::string description);</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;    <span class="comment">// getters</span></div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;    <span class="keyword">const</span> std::string <a class="code" href="class_item.html#a823b431f468a18e58ee2c808e5642a53">getID</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;    std::string <a class="code" href="class_item.html#a116308353701daee0b4fc3e1d0cac104">getName</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;    std::string <a class="code" href="class_item.html#acd1f64b3368b3f7e8cfa808d5d685c08">getDescription</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;    <span class="comment">// operators</span></div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="class_item.html#a934a60e51bd80b2e1d3e0c3952a2fd2e">operator==</a>(<span class="keyword">const</span> <a class="code" href="class_item.html">Item</a> &amp;other) <span class="keyword">const</span>;</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;    <span class="keyword">friend</span> std::ostream &amp;<a class="code" href="class_item.html#abe20e9773b0b87540b6b96cced38f38c">operator&lt;&lt;</a>(std::ostream &amp;out, <span class="keyword">const</span> <a class="code" href="class_item.html">Item</a> &amp;item);</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;    <span class="keyword">friend</span> std::ostream &amp;<a class="code" href="class_item.html#abe20e9773b0b87540b6b96cced38f38c">operator&lt;&lt;</a>(std::ostream &amp;out, <span class="keyword">const</span> <a class="code" href="class_item.html">Item</a> *item);</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;    std::string IDCode;  <span class="comment">// code of item</span></div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;    std::string name;  <span class="comment">// name of item</span></div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;    std::string description;  <span class="comment">// description</span></div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;};</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;<span class="preprocessor">#endif // LIBRARYMGR_ITEM_H</span></div><div class="ttc" id="class_item_html_a934a60e51bd80b2e1d3e0c3952a2fd2e"><div class="ttname"><a href="class_item.html#a934a60e51bd80b2e1d3e0c3952a2fd2e">Item::operator==</a></div><div class="ttdeci">bool operator==(const Item &amp;other) const </div><div class="ttdoc">equals other item </div><div class="ttdef"><b>Definition:</b> Item.cpp:26</div></div>
<div class="ttc" id="class_item_html_ad1df8af319de8f613b85d99118a1e203"><div class="ttname"><a href="class_item.html#ad1df8af319de8f613b85d99118a1e203">Item::setName</a></div><div class="ttdeci">void setName(std::string name)</div><div class="ttdoc">sets new name of item </div><div class="ttdef"><b>Definition:</b> Item.cpp:34</div></div>
<div class="ttc" id="class_item_html_a144db4dbae11aa8f2e231cde8646b028"><div class="ttname"><a href="class_item.html#a144db4dbae11aa8f2e231cde8646b028">Item::Item</a></div><div class="ttdeci">Item(const std::string IDCode=0, std::string name=&quot;&quot;, std::string description=&quot;&quot;)</div><div class="ttdoc">Item New item with ID, name and description. </div><div class="ttdef"><b>Definition:</b> Item.cpp:21</div></div>
<div class="ttc" id="class_item_html_ab5b987640aafeee80a284861ebedb959"><div class="ttname"><a href="class_item.html#ab5b987640aafeee80a284861ebedb959">Item::setDescription</a></div><div class="ttdeci">void setDescription(std::string description)</div><div class="ttdoc">sets new description of item </div><div class="ttdef"><b>Definition:</b> Item.cpp:38</div></div>
<div class="ttc" id="class_item_html"><div class="ttname"><a href="class_item.html">Item</a></div><div class="ttdoc">general item to buy with ID </div><div class="ttdef"><b>Definition:</b> Item.h:27</div></div>
<div class="ttc" id="class_item_html_abe20e9773b0b87540b6b96cced38f38c"><div class="ttname"><a href="class_item.html#abe20e9773b0b87540b6b96cced38f38c">Item::operator&lt;&lt;</a></div><div class="ttdeci">friend std::ostream &amp; operator&lt;&lt;(std::ostream &amp;out, const Item &amp;item)</div><div class="ttdoc">operator &lt;&lt; printer </div><div class="ttdef"><b>Definition:</b> Item.cpp:54</div></div>
<div class="ttc" id="class_item_html_a2bad6384eb6479ea0e1a131054fa1cc7"><div class="ttname"><a href="class_item.html#a2bad6384eb6479ea0e1a131054fa1cc7">Item::setID</a></div><div class="ttdeci">void setID(std::string IDCode)</div><div class="ttdoc">sets new ID of item </div><div class="ttdef"><b>Definition:</b> Item.cpp:30</div></div>
<div class="ttc" id="class_item_html_a823b431f468a18e58ee2c808e5642a53"><div class="ttname"><a href="class_item.html#a823b431f468a18e58ee2c808e5642a53">Item::getID</a></div><div class="ttdeci">const std::string getID() const </div><div class="ttdoc">gets ID code of book </div><div class="ttdef"><b>Definition:</b> Item.cpp:42</div></div>
<div class="ttc" id="class_item_html_acd1f64b3368b3f7e8cfa808d5d685c08"><div class="ttname"><a href="class_item.html#acd1f64b3368b3f7e8cfa808d5d685c08">Item::getDescription</a></div><div class="ttdeci">std::string getDescription() const </div><div class="ttdoc">gets description </div><div class="ttdef"><b>Definition:</b> Item.cpp:50</div></div>
<div class="ttc" id="class_item_html_a116308353701daee0b4fc3e1d0cac104"><div class="ttname"><a href="class_item.html#a116308353701daee0b4fc3e1d0cac104">Item::getName</a></div><div class="ttdeci">std::string getName() const </div><div class="ttdoc">gets name </div><div class="ttdef"><b>Definition:</b> Item.cpp:46</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_1ae4179d5e953611aae20c997279e02c.html">models</a></li><li class="navelem"><a class="el" href="dir_0f93ebbc2c9bc0dc7498c103fed792b8.html">Article</a></li><li class="navelem"><a class="el" href="dir_2638a642acea35fb17edc9270455676f.html">Item</a></li><li class="navelem"><b>Item.h</b></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
